.site-footer {
    padding: 100px 0 40px;
    position: relative;
    border-top: 1px solid #2C2C2C;
}

/* Subtle glow */
.site-footer::before {
    /* content: ""; */
    /* position: absolute; */
    /* width: 700px; */
    /* height: 700px; */
    /* background: radial-gradient(circle,
        rgba(0,255,100,0.15),
        transparent 70%); */
    /* right: -200px; */
    /* bottom: -200px; */
    /* pointer-events: none; */
}

/* Top Layout */
.footer-top {
    margin-bottom: 60px;
}

.footer-col {
    flex: 0 0 auto;
}

.footer-brand {
    max-width: 260px;
}

/* Logo */
.footer-brand a {
    height: 90px;
    margin-bottom: 34px;
    display: inline-block;
}

/* Contact */
.footer-contact p {
    margin-bottom: 5px;
    font-size: 18px;
}

.footer-contact a {
    color: #aaa;
    font-size: 16px;
    text-decoration: none;
}

.footer-contact a:hover {
    color: #fff;
}

/* Column Headings */
.footer-col h6 {
    font-size: 18px;
    margin-bottom: 15px;
    color: #fff;
    letter-spacing: 1px;
    font-weight: 500;
}

/* Links */
.footer-col ul {
    list-style: none;
    padding: 0;
}

.footer-col ul li {
    margin-bottom: 13px;
}

.footer-col ul li a {
    color: #fff;
    font-size: 16px;
    text-decoration: none;
    transition: 0.3s;
}

.footer-col ul li a:hover {
    color: #fff;
}

/* Badges */
.footer-badges .badge-box {
    gap: 10px;
    margin-bottom: 15px;
    text-align: center;
}

.badge-box img {
    height: 64px;
}

.badge-box span {
    font-size: 14px;
    display: block;
}

/* Bottom */
.footer-bottom {
    text-align: center;
}

.footer-bottom p {
    font-size: 14px;
    color: #fff;
    margin-bottom: 0;
}

.footer-badges {
    display: flex;
    gap: 17px;
}


.footer-contact-col {
    width: 28%;
}

.col-company {
    width: 17%;
}

.footer-badges {
    width: 21%;
}

.site-footer:before {
    content: "";
    background-image: url('/wp-content/uploads/2026/02/long-gradient.svg');
    background-size: contain;
    background-repeat: no-repeat;
    right: 0;
    left: unset;
    background-position: right bottom;
    transform: unset;
    top: unset;
    bottom: 0;
    height: calc(100% + 288px);
}

.social-media-menu {
    display: flex;
    gap: 22px;
}

#menu-social-media a {
    font-size: 22px;
    color: #7F838D;
}

.footer-brand a img {
    height: 100%;
}


.scroll-top {
    position: fixed;
    right: 14px;
    bottom: 14px;
    border-radius: 110px;
    border: 1.4px solid rgba(255, 255, 255, 0.40);
    background: rgba(255, 255, 255, 0.07);
    background-blend-mode: luminosity;
    width: 73px;
    aspect-ratio: 1 / 1;
    display: flex;
    align-items: center;
    justify-content: center;
    background-image: linear-gradient(90deg, rgba(255, 255, 255, 0.4) 0%, rgba(255, 255, 255, 0.0001) 40%, rgba(255, 255, 255, 0.0001) 60%, rgba(255, 255, 255, 0.1) 100%);
    cursor: pointer;
    transition: 0.3s;
    z-index: 9;
}

.scroll-top img {
    rotate: 90deg;
    height: 60%;
}

.scroll-top:hover {
    transform: translateY(-2%);
}

.footer-contact strong {
    font-weight: 500;
}

@media(max-width: 1199px) {

    .footer-col h6 {
        font-size: 16px;
    }

    .footer-col ul li a {
        font-size: 14px;
    }

    .footer-col ul li {
        margin-bottom: 4px;
    }

    .badge-box span {
        font-size: 13px;
    }

    .badge-box img {
        height: 47px;
    }

    .footer-contact p {
        font-size: 16px;
    }

    .footer-contact a {
        font-size: 14px;
    }

    .footer-brand a {
        height: 70px;
    }

    .site-footer {
        padding: 60px 0 20px;
    }

    .scroll-top {
        width: 60px;
    }
}


@media(max-width: 991px) {
    .footer-contact-col {
        width: 34%;
    }

    .col-company {
        width: 22%;
    }

    .footer-badges {
        width: 100%;
        justify-content: center;
        margin-top: 24px;
    }

    .social-media-menu {
        gap: 10px;
    }
}

@media(max-width: 767px) {
    .footer-contact-col {
        width: 100%;
    }

    .col-company {
        width: 100%;
        margin-top: 31px;
    }

    .footer-col ul {
        margin-bottom: 0;
    }

    .footer-brand a {
        height: 64px;
    }

    .footer-contact p {
        font-size: 18px;
    }

    .footer-contact a {
        font-size: 16px;
    }

    .footer-col h6 {
        font-size: 18px;
    }

    .footer-col ul li a {
        font-size: 16px;
    }

    .badge-box img {
        height: 64px;
    }


    .site-footer:before {
        height: 381px;
    }

    .scroll-top {
        width: 40px;
    }

}